local c = require('colors.' .. vim.g.global_theme).colors

return require('orgmode').setup({
    -- General settings
    org_agenda_files = {
        '~/Documents/Org/agenda/agenda.org',
        '~/Documents/Org/agenda/archive.org'
    },
    org_default_notes_file = '~/Documents/Org/notes.org',
    org_todo_keywords = {
        'TODO', 'PROJ', 'LOOP', 'STRT', 'WAIT', 'HOLD', 'IDEA', 'DONE', 'KILL',
        '[ ]', '[-]', '[X]' , '|', 'OKAY', 'YES', 'NO'
    },
    org_todo_keyword_faces = {
        TODO = ':foreground ' .. c.green .. ' :weight bold',
        PROJ = ':foreground ' .. c.grey_bright .. ' :weight bold :slant italic',
        LOOP = ':foreground ' .. c.green .. ' :weight bold :underline on',
        STRT = ':foreground ' .. c.blue .. ' :weight bold',
        WAIT = ':foreground ' .. c.yellow .. ' :weight bold',
        HOLD = ':foreground ' .. c.yellow .. ' :weight bold :slant italic',
        IDEA = ':foreground ' .. c.green .. ' :weight bold :slant italic',
        DONE = ':foreground ' .. c.grey2 .. ' :weight bold',
        KILL = ':foreground ' .. c.red .. ' :weight bold',
        OKAY = ':foreground ' .. c.grey1 .. ' :weight bold :slant italic',
        YES = ':foreground ' .. c.grey1 .. ' :weight bold :underline on',
        NO = ':foreground ' .. c.red .. ' :weight bold :underline on'
    },
    org_hide_leading_stars = true,
    org_highlight_latex_and_related = 'entities',

    -- Agenda settings
    org_deadline_warning_days = 7,
    org_agenda_span = 'week',
    org_agenda_start_on_weekday = 7, -- Start a week in Sunday
    org_agenda_min_height = 15,

    -- Tags settings
    org_use_tag_inheritance = false
})
